Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the CPAN-Reporter CPAN distribution.

Report information
The Basics
Id: 30345
Status: resolved
Priority: 0/
Queue: CPAN-Reporter

People
Owner: Nobody in particular
Requestors: jonasbn [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 1.02
Fixed in: 1.06



Subject: Test::Harness version not specified
Download (untitled) / with headers
text/plain 810b
Hello, I have just upgraded to Perl 5.8.8 as a part of the OS X 10.4 to 10.5 upgrade. I attempted to install CPAN::Reporter, but the tests failed horribly. I was assisted by a helpful person on IRC / #perl-qa who reminded me that I should upgrade my Test::Harness. Since I was running that last official release as part of the Perl I understand that it might not be possible to set this prerequisite in Module::Build and related, but perhaps this should be mentioned in the INSTALL instructions. Btw. thanks for a marvelous module - and let me know if you need anything else from me. jonasbn % uname -a Darwin hyperstation.local 9.0.0 Darwin Kernel Version 9.0.0: Tue Oct 9 21:35:55 PDT 2007; root:xnu-1228~1/RELEASE_I386 i386 i386 % perl -v This is perl, v5.8.8 built for darwin-thread-multi-2level
Subject: Re: [rt.cpan.org #30345] Test::Harness version not specified
Date: Mon, 29 Oct 2007 15:26:50 -0400
To: bug-CPAN-Reporter [...] rt.cpan.org
From: "David Golden" <dagolden [...] cpan.org>
Download (untitled) / with headers
text/plain 667b
On 10/29/07, Jonas B. Nielsen via RT <bug-CPAN-Reporter@rt.cpan.org> wrote: Show quoted text
> I have just upgraded to Perl 5.8.8 as a part of the OS X 10.4 to 10.5 > upgrade. I attempted to install CPAN::Reporter, but the tests failed > horribly. I was assisted by a helpful person on IRC / #perl-qa who > reminded me that I should upgrade my Test::Harness.
Hi. CPAN::Reporter requires CPAN 1.9203, which itself requires a "modern" Test::Harness, so I'm not exactly sure what was going on. What version of Perl were you upgrading from? And how were you upgrading? It would be very helpful if you could elaborate (log? screenshot?) on what "failed horribly" means. Thanks, David
Subject: Re: [rt.cpan.org #30345] Test::Harness version not specified
Date: Mon, 29 Oct 2007 21:10:41 +0100
To: bug-CPAN-Reporter [...] rt.cpan.org
From: jonasbn <jonasbn [...] gmail.com>
Download (untitled) / with headers
text/plain 564b
Hello, I upgraded my long running Perl 5.8.6, which had CPAN::Reporter working, with newer T::H and newer CPAN, to a Perl 5.8.8 as part of the OS X upgrade from 10.4 to 10.5. So T::H and CPAN would be those version shipped with that particular release, unless Apple have tinkered. I now they have done so before. CPAN, would be: 1.76_02 Test::Harness: 2.64 I have attached a test from an attempt to install CPAN::Reporter, which failed somewhat the same way 1.02 jonasbn -- AIM: BjonasN Gtalk: jonasbn@gmail.com ICQ: 62401545 MSN: jonasbn@io.dk
Download test_output.txt
text/plain 28.6k

Message body is not shown because sender requested not to inline it.

Download (untitled) / with headers
text/plain 803b
On 29/10/2007, at 20.27, via RT wrote: Show quoted text
> > <URL: http://rt.cpan.org/Ticket/Display.html?id=30345 > > > On 10/29/07, Jonas B. Nielsen via RT <bug-CPAN-Reporter@rt.cpan.org> > wrote:
>> I have just upgraded to Perl 5.8.8 as a part of the OS X 10.4 to 10.5 >> upgrade. I attempted to install CPAN::Reporter, but the tests failed >> horribly. I was assisted by a helpful person on IRC / #perl-qa who >> reminded me that I should upgrade my Test::Harness.
> > Hi. CPAN::Reporter requires CPAN 1.9203, which itself requires a > "modern" Test::Harness, so I'm not exactly sure what was going on. > What version of Perl were you upgrading from? And how were you > upgrading? > > It would be very helpful if you could elaborate (log? screenshot?) on > what "failed horribly" means. > > Thanks, > David >
Subject: Darwin upgrade of CPAN::Reporter fails due to Test::Harness confusion
Download (untitled) / with headers
text/plain 314b
Note for self: After some discussion on AIM, this may be due to a bug in Test::Harness 2.99_02, which was installed on the OS being upgraded. I'm going to downgrade the ticket severity unless I get additional reports like this or unless the problem shows up on a system without an alpha version of Test::Harness.
Download (untitled) / with headers
text/plain 180b
After additional reports by email investigation by Andy Armstrong, I've determined this is a valid bug in CPAN::Reporter::PrereqCheck that will be fixed in the next release. David


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.